Uni

Infos

Semester

Proxy

Der Proxy ist proxy1.ub.uni-muenchen.de auf Port 8080. Zugang zu dem Proxy hat man nur aus follgenden den Netzen.

  • LRZ
  • CIP

Nötig ist er nur für Seiten die in PAC konfiguriert sind. Das PAC file gibts unter http://pac.lrz-muenchen.de/. Das wird aber dynamisch je nach aufrufender Addresse generiert! Sinvollen Inhalt gibt es nur aus den follgenden Netzen.

  • CIP

nicht aber aus den follgenden Netzen.

  • LRZ

Studika haben nützliche Infos zu dem Problem zusammengetragen.

Um auf Springer Link zu kommen ist allerdings eine Anmeldung nötig. Jedoch keine Prsönliche. Wenn man im richtigen Netz ist, kommt nach „login“ unter der Passwort eingabe eine Liste an Institutionen als die man sich ausgeben kann.

function sget() {
	## s lmu -L 8080:proxy1.ub.uni-muenchen.de:8080
 
	set -e
 
	export http_proxy="localhost:8080"
	csv="$1"
	title="$2"
 
 
	## Test aruments count
	if [[ $# != 2 ]]
	then
		echo "Error: Invalid arguments" >&2
		echo "$0 <export.csv> <book name>" >&2
		return 1
	fi
 
 
	## Test file for correct export file
	if ! head -1 "$csv" | grep -q 'Content Type,Name,DOI,OpenURL,Direct Link'
	then
		echo "Error: $csv doesn't look like a springerlink export file with all options enabled." >&2
		return 2
	fi
 
 
	## Get the chapters
	tail -n+2 "$csv" |
	while read line ; do
		url="$(echo "$line" | cut -d ',' -f5)/fulltext.pdf"
		file="$(echo "$line" | cut -d ',' -f3 | cut -d '_' -f2 | xargs printf "$title-%02i.pdf")"
		wget -nv -O "$file" "$url"
	done
 
 
	## Get the front and back matters
	id="$(head -2 "$csv" | tail -1 |  cut -d, -f3 | sed -e 's/[^\/]*\/\([^_]*\).*/\1/')"
 
	for type in front-matter back-matter ; do
		url="http://www.springerlink.com/content/$id/$type.pdf"
		file="$title-$type.pdf"
		wget -nv -O "$file" "$url"
	done
 
 
	## Merge everything to one pdf
	echo -n "Merging ..."
	gs -dBATCH -dNOPAUSE -q -sDEVICE=pdfwrite -sOutputFile=$title.pdf $title-front-matter.pdf $title-[0-9]*.pdf $title-back-matter.pdf
	echo "done"
 
	set +e
}

Videos mit anderen Clients anaschauen

function getvl() {
        rtmpdump \
        --swfVfy "http://videoonline.edu.lmu.de/sites/all/modules/sessionsimple/flash/player-licensed.swf"  \
        --pageUrl "http://videoonline.edu.lmu.de" \
        --rtmp "rtmp://flash5.lrz-muenchen.de:1935/Mitschau/$( \
                wget --output-document=- --quiet "$1/bandwidth.rss" | \
                grep --only-matching --extended-regexp '<media:content[^>]*>' bandwidth.rss | \
                sort --field-separator='"' --key=6 --numeric-sort --reverse | \
                head --lines=1 | \
                cut --delimiter='"' --fields=2)" \
        --flv "$2"  
}    

XML Stundenplan

users/skruppy/ext/uni/start.txt · Zuletzt geändert: 2013/04/03 15:19 von skruppy